%{?nodejs_find_provides_and_requires}

# npm(chai) not available on EL6.
%if 0%{?fedora} || 0%{?rhel} >= 7
%global enable_tests 1
%endif

Name:       nodejs-esutils
Version:    1.0.0
Release:    7%{?dist}
Summary:    Utility box for ECMAScript language tools
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/Constellation/esutils
Source0:    http://registry.npmjs.org/esutils/-/esutils-%{version}.tgz
Source1:    https://raw.githubusercontent.com/Constellation/esutils/6f73df0525cad2e610725741082e19c19e6497fd/LICENSE.BSD

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(coffee-script)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/esutils
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/esutils

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --compilers coffee:coffee-script/register -R spec
%endif


%files
%doc LICENSE.BSD README.md
%{nodejs_sitelib}/esutils


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Tom Hughes <tom@compton.nu> - 1.0.0-6
- update for changes to coffee-script

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-3
- only enable tests on Fedora and RHEL >= 7

* Sun Apr 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-2
- fix License tag
- add LICENSE.BSD file from upstream version control repository

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
